﻿@inject NodaTime.IClock Clock

<!doctype html>

<html lang="en" data-bs-theme="dark">

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <meta name="author" content="PommaLabs">
    <meta name="description"
        content="Thumbnailer web service generates file thumbnails and optimizes media files using open source libraries">
    <meta name="keywords" content="pommalabs,thumbnailer,thumbnail,generation,media,optimization,open,source">

    <meta property="og:title" content="@ViewData["Title"] - Thumbnailer" />
    <meta property="og:description"
        content="Thumbnailer web service generates file thumbnails and optimizes media files using open source libraries" />
    <meta property="og:type" content="website" />
    <meta property="og:url" content="@ViewData["RequestUrl"]" />

    <title>@ViewData["Title"] - Thumbnailer</title>

    <link rel="icon" type="image/png" href="~/images/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="~/images/favicon-16x16.png" sizes="16x16">
    <link rel="apple-touch-icon" href="~/images/apple-touch-icon.png">
    <link rel="apple-touch-icon" sizes="180x180" href="~/images/apple-touch-icon.png">

    <link rel="stylesheet" href="~/lib/vendor.min.css" asp-append-version="true" />
    <link rel="stylesheet" href="~/css/style.min.css" asp-append-version="true" />
</head>

<body>
    <header>
        <nav class="navbar navbar-expand-md navbar-toggleable-md navbar-dark bg-dark">
            <div class="container">
                <a class="navbar-brand" asp-area="" asp-page="/Index">Thumbnailer</a>
                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target=".navbar-collapse"
                    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse">
                    <ul class="navbar-nav me-auto">
                        <li class="nav-item">
                            <a is-active-route class="nav-link" asp-area="" asp-page="/Thumbnail">Thumbnail
                                generation</a>
                        </li>
                        <li class="nav-item">
                            <a is-active-route class="nav-link" asp-area="" asp-page="/Optimize">Media optimization</a>
                        </li>
                    </ul>
                    <ul class="navbar-nav">
                        <li class="nav-item">
                            <a class="nav-link" href="https://gitlab.com/pommalabs/thumbnailer/thumbnailer/"
                                target="_blank" rel="noopener">Source code</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="/swagger" target="_blank" rel="noopener">REST APIs</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>

    <div id="app" class="container">
        <main role="main">
            @RenderBody()
        </main>
    </div>

    <footer class="th-footer bg-dark">
        <div class="text-muted">
            &copy; 2019-@Clock.GetCurrentInstant().InUtc().Year ·
            <a href="https://gitlab.com/pommalabs/thumbnailer/thumbnailer/" target="_blank"
                rel="noopener">Thumbnailer</a>
            by <a href="https://pommalabs.xyz" target="_blank" rel="noopener">PommaLabs</a>
        </div>
    </footer>

    <script src="~/lib/vendor.min.js" asp-append-version="true"></script>
    <script src="~/js/main.min.js" asp-append-version="true"></script>

    @await RenderSectionAsync("Scripts", required: false)
</body>

</html>
